from rocolib.api.components.Component import Component

c = Component()

c.addSubcomponent("front", "NewBrainsTwoWheels")
c.addSubcomponent("back", "TwoWheels", inherit=True, prefix=None)

#Main component of steering wheel car which makes them moveable: trapezoid that connects the two half of the car
for i in range(4):
    c.addSubcomponent("midsupport%d" %i, "Trapezoid")
    c.addConstraint(("midsupport%d" %i, "width"), "width", "x-10")
    c.addConstraint(("midsupport%d" %i, "depth"), "width", "x-37")
    c.addConstraint(("midsupport%d" %i, "bangle"), "width",
                    "float(np.atan((x-37)/5)* 180 * 0.318309)")

c.addConnection(("back", "sheath1.botedge2"), ("midsupport1", "botedge"))
c.addConnection(("front", "sheath0.botedge2"), ("midsupport0", "botedge"))
c.addConnection(("back", "sheath1.botedge0"), ("midsupport2", "botedge"))
c.addConnection(("front","sheath0.botedge0"), ("midsupport3", "botedge"))

c.addConnection(("midsupport0", "topedge"), ("midsupport1", "topedge"))

c.toLibrary("CarForSteering")
