from rocolib.api.components.Component import Component
from rocolib.api.Function import Function

c = Component()

c.addSubcomponent("servosandstack", "ServoMountAndStack", inherit=True)
c.inheritAllInterfaces("servosandstack")

c.addSubcomponent("batterystackmount", "BatteryStackMount")
c.inheritAllInterfaces("batterystackmount")

c.addSubcomponent("lfullsplit", "SplitEdge", inherit=True)
c.inheritAllInterfaces("lfullsplit")
c.addConstConstraint(("lfullsplit", "toplength"), (228,))
c.addConstConstraint(("lfullsplit", "botlength"), (168, 60)) #but the value of the new component's boat.length parameter is completely disconnected from the value of the boat component's boat.length parameter
#
c.addConnection(("lfullsplit", "botedge1"), ("batterystackmount", "rightArmInterface"), tabWidth=10)
c.addConnection(("lfullsplit", "botedge0"), ("servosandstack", "lmountandservosplit"))

c.addSubcomponent("rfullsplit", "SplitEdge", inherit=True)
c.inheritAllInterfaces("rfullsplit")
c.addConstConstraint(("rfullsplit", "toplength"), (228,))
c.addConstConstraint(("rfullsplit", "botlength"), (60, 168)) #but the value of the new component's boat.length parameter is completely disconnected from the value of the boat component's boat.length parameter
#
c.addConnection(("rfullsplit", "botedge0"), ("batterystackmount", "leftArmInterface"))
c.addConnection(("rfullsplit", "botedge1"), ("servosandstack", "rmountandservosplit"))

c.inheritInterface("lTopSplit", ("lfullsplit", "topedge0"))
c.inheritInterface("rTopSplit", ("rfullsplit", "topedge0"))

c.toLibrary("ServoStackBatteryMount")
